<?php

namespace App\Http\Middleware;

use Closure;
use Auth;

class CheckEnabled
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (Auth::user()->enabled == false) 
           return response()->json(['success' => false , 'message' => 'Cuenta desactivada'],401);

        return $next($request);
    }
}
